package com.mortals.xhx.module.goview.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.goview.model.GoviewProjectEntity;
import com.mortals.xhx.module.goview.service.GoviewProjectService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 项目
*
* @author zxfei
* @date 2023-04-13
*/
@RestController
@RequestMapping("goview/project")
public class GoviewProjectController extends BaseCRUDJsonBodyMappingController<GoviewProjectService,GoviewProjectEntity,Long> {

    @Autowired
    private ParamService paramService;

    public GoviewProjectController(){
        super.setModuleDesc( "项目");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "state", paramService.getParamBySecondOrganize("GoviewProject","state"));
        super.init(model, context);
    }


}